<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Anamnese extends Model
{
    protected $with = ['respostas'];
    
    public function agendavel()
    {
        $this->morphTo();
    }

    public function respostas()
    {
        return $this->hasMany(RespostaAnamnese::class, 'anamnese_id');
    }
}
